tienda_electronica/administracion/urls.py
from django.contrib import admin
from django.urls import path

from .views import HomeAdminView, CrearTiendaView,  VerTiendasView, RegistroView, LoginView, logoutUsuario, CrearOfertaView,TiendaDescuentoView
from .views import CrearProductoView, VerVentasVendedores, AsignarVendedorView



app_name = 'administracion'

urlpatterns = [
    path('home-adm/', HomeAdminView.as_view(), name="home"),
    path('home-adm/crear-tienda/', CrearTiendaView.as_view(), name="crear-tienda"),
    path('home-adm/crear-oferta/', CrearOfertaView.as_view(), name="crear-oferta"),
    path('home-adm/ver-tiendas/', VerTiendasView.as_view(), name="ver-tiendas"),
    path('registro/', RegistroView.as_view(), name='registro'),
    path('', LoginView.as_view(), name="login"),
    path('logout/', logoutUsuario, name="logout"),
    path('home-adm/crear-producto/', CrearProductoView.as_view(), name="crear-producto"),
    path('home-adm/asignar-oferta/', TiendaDescuentoView.as_view(), name="asignar-oferta"),
    path('home-adm/ver-ventas/', VerVentasVendedores.as_view(), name="ver-ventas"),
    path('home-adm/asignar-vendedor/', AsignarVendedorView.as_view(), name="asignar-vendedor"),
    
    
]

tienda_electronica/tienda/urls.py
from django.contrib import admin
from django.urls import path
from .views import HomeView, OfertaView,VerProductosView, CrearVentaView, MisVentasView

app_name = 'tienda'

urlpatterns = [
    path('', HomeView.as_view(), name="index"),
    path('oferta/', OfertaView.as_view(), name="oferta"),
    path('home-productos/productos/', VerProductosView.as_view(), name="ver-productos"),
    path('venta/', CrearVentaView.as_view(), name="crear-venta"),
    path('mis-ventas/', MisVentasView.as_view(), name="ver-mis-ventas"),

]

tienda_electronica/tienda_electronica/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('administracion.urls')),
    path('tienda/',include('tienda.urls')),

]

tienda_electronica/administracion/models.py
from django.db import models

# Create your models here.
from django.core.validators import MinValueValidator, MaxValueValidator

class TiendaModel(models.Model):
    nombre = models.CharField(max_length = 200, unique=True, error_messages={"unique":"Este nombre de tienda ya existe"})
    direccion = models.CharField(max_length = 200)
    ciudad = models.CharField(max_length = 200)
    comuna = models.CharField(max_length = 200)
    telefono = models.CharField(max_length = 200)
    email = models.CharField(max_length = 200)
    encargado = models.CharField(max_length = 200)

    def __str__(self):
        return self.nombre

class VendedorModel(models.Model):
    nombre = models.CharField(max_length = 100)
    tienda_asignada = models.ForeignKey(TiendaModel, on_delete=models.CASCADE)    
    nombre_usuario = models.CharField(max_length=100)
    def __str__(self):
        return f"Nombre: {self.nombre} Usuario: {self.nombre_usuario}"    

class OfertaModel(models.Model):
    tienda_descuento = models.ForeignKey(TiendaModel, on_delete=models.CASCADE)
    porcentaje_descuento = models.IntegerField(validators=[MinValueValidator(1), MaxValueValidator(100)], 
                                            error_messages={"MinValueValidator":"El valor no puede ser menor a 1", "MaxValueValidator": "El valor no puede ser mayor a 100"})
    def __str__(self):
        return f"{self.tienda_descuento}, {self.porcentaje_descuento}%"

class ProductoModel(models.Model):
    nombre = models.CharField(max_length = 100, unique=True, error_messages={"unique":"Este nombre de producto ya existe"})
    descripcion = models.CharField(max_length = 200)
    precio = models.IntegerField(validators=[MinValueValidator(1)])
    precio_dolar = models.FloatField()
    tipo_producto = models.CharField(max_length = 200)
    tienda_asignada = models.ForeignKey(TiendaModel, on_delete=models.CASCADE)
    tiene_oferta = models.ForeignKey(OfertaModel, on_delete=models.CASCADE, blank=True, null=True)
    def __str__(self):
        return self.nombre

class VentaModel(models.Model):
    nro_venta = models.IntegerField()
    tienda = models.ForeignKey(TiendaModel, on_delete=models.CASCADE)
    producto = models.ForeignKey(ProductoModel,on_delete=models.CASCADE)
    cantidad = models.IntegerField(validators=[MinValueValidator(1)])   
    total = models.IntegerField()
    vendedor = models.ForeignKey(VendedorModel, on_delete=models.CASCADE)
    estado = models.BooleanField(default=False)
    fecha = models.DateTimeField()
    precio_dolar = models.FloatField()
    total_dolar = models.FloatField()
    def __str__(self):
        return f"{self.tienda}, ({self.cantidad}) {self.producto}, Total: ${self.total}"

tienda_electronica/administracion/forms.py
from django import forms
from django.forms import widgets
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm
from .models import TiendaModel, ProductoModel, VentaModel, VendedorModel, OfertaModel

class RegistroForm(UserCreationForm):
    class Meta:
        model = User
        fields = ['username', 'email', 'password1', 'password2']
        
 
    def __init__(self, *args, **kwargs):
        super(RegistroForm, self).__init__(*args,**kwargs)
        for field in self.fields:
            self.fields[field].widget.attrs.update({'class': 'form-control'})
        
        self.fields['username'].help_text = None
        self.fields['password1'].help_text = None
        self.fields['password2'].help_text = None

class VentaForm(forms.ModelForm):
    class Meta:
        model = VentaModel
        fields = ['producto', 'cantidad']

    def __init__(self, *args, **kwargs):
        super(VentaForm, self).__init__(*args,**kwargs)       
         
        for field in self.fields:
            self.fields[field].widget.attrs.update({'class': 'form-control'})
            


class ProductoForm(forms.ModelForm):
    class Meta:
        model = ProductoModel
        fields = ["nombre","descripcion","precio", "tipo_producto", "tienda_asignada"]

    def __init__(self, *args, **kwargs):
        super(ProductoForm, self).__init__(*args,**kwargs) 

        for field in self.fields:
            self.fields[field].widget.attrs.update({'class': 'form-control'})

class OfertaForm(forms.ModelForm):
    class Meta:
        model = OfertaModel
        fields = '__all__'
    def __init__(self, *args, **kwargs):
        super(OfertaForm, self).__init__(*args,**kwargs) 

        for field in self.fields:
            self.fields[field].widget.attrs.update({'class': 'form-control'})
    

tienda_electronica/administracion/views.py
from django.shortcuts import render, redirect
from django.views import View
from django.contrib.auth.decorators import login_required, permission_required
from django.utils.decorators import method_decorator
from .models import TiendaModel, ProductoModel, VendedorModel, OfertaModel, VentaModel
from .forms import RegistroForm, ProductoForm, OfertaForm
from django.contrib import messages
from django.contrib.auth import authenticate, login, logout
from .decorators import unauthenticated_user, usuarios_permitidos
from .valor_dolar import InfoApi
# Create your views here.

def logoutUsuario(request):
    logout(request)
    return redirect('administracion:login')


class LoginView(View):
    @method_decorator(unauthenticated_user)
    def get(self, request):
        return render(request, 'administracion/adm_login.html',{})
    def post(self, request):
        username = request.POST.get('username')
        password = request.POST.get('password')

        user = authenticate(request, username=username, password=password)
        if user is not None:
            login(request, user)
            return redirect('tienda:index')
        else:
            messages.error(request, 'Usuario o Contraseña incorrecto')
            return render(request, 'administracion/adm_login.html',{})



class RegistroView(View):
    @method_decorator(unauthenticated_user)
    def get(self, request):
        form = RegistroForm()
        lista_tiendas = TiendaModel.objects.all()
        context = {'form':form, 'lista_tiendas':lista_tiendas}
        return render(request, 'administracion/adm_register.html', context)
    def post(self, request):
        form = RegistroForm(data=request.POST)

        if form.is_valid():
            vendedor = VendedorModel()
            vendedor.nombre = request.POST.get("nombre")   
            tienda = TiendaModel.objects.get(nombre=request.POST.get('lista_tiendas'))         
            vendedor.tienda_asignada = tienda
            vendedor.nombre_usuario=request.POST.get('username')
            form.save()
            vendedor.save()
            messages.info(request,"Se ha registrado el usuario correctamente")
            return redirect('administracion:login')
        else:
            lista_tiendas = TiendaModel.objects.all()
            context = {'form':form, 'lista_tiendas':lista_tiendas}
            messages.info(request,"Algun dato no es válido")
            return render(request, 'administracion/adm_register.html', context)
   

class HomeAdminView(View):
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))     
    def get(self, request):
        return render(request, 'administracion/adm_home.html',{})  
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))       
    def post(self, request):
        return render(request, 'administracion/adm_home.html',{})

     
class CrearTiendaView(View):       
    @method_decorator(login_required(login_url='administracion:login'))    
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def get(self, request):        
        return render(request, 'administracion/adm_crear_tienda.html',{})
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def post(self,request):
        nombre = request.POST.get("nombre")
        direccion = request.POST.get("direccion")
        ciudad = request.POST.get("ciudad")
        comuna = request.POST.get("comuna")
        telefono = request.POST.get("telefono")
        email = request.POST.get("email")
        encargado = request.POST.get("encargado")


        tienda = TiendaModel()
        tienda.nombre = nombre
        tienda.direccion = direccion
        tienda.ciudad = ciudad
        tienda.comuna = comuna
        tienda.telefono = telefono
        tienda.email = email
        tienda.encargado = encargado

        tienda.save() 
        messages.info(request,"Tienda creada existosamente")
        return redirect('administracion:home')

   
class VerTiendasView(View):
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def get(self, request):
        lista_tiendas = TiendaModel.objects.all()
        return render(request, 'administracion/adm_ver_tiendas.html',{'tiendas':lista_tiendas})



class CrearProductoView(View):
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def get(self, request):
        producto_form = ProductoForm()
        context = {'producto_form': producto_form}
        return render(request,'administracion/adm_crear_producto.html',context)

    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def post(self, request):
        producto_form = ProductoForm(data=request.POST)
        if producto_form.is_valid():
            producto = producto_form.save(commit=False)
            producto.precio_dolar=round(producto.precio/InfoApi(),2)
            producto.save()
            messages.info(request,"Producto creado exitosamente")
            return redirect("administracion:home")
        else:
            context = {'producto_form': producto_form}
            messages.info(request,"Intente de nuevo")
            return render(request,'administracion/adm_crear_producto.html',context)

class CrearOfertaView(View):
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def get(self, request):           
        oferta_form = OfertaForm()
        context = {"oferta_form":oferta_form}               
        return render(request,'administracion/adm_crear_oferta.html', context) 
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def post(self, request):
        oferta_form = OfertaForm(data=request.POST)
        if oferta_form.is_valid():
            oferta_form.save()
            messages.info(request,"Oferta asignada correctamente")
            return redirect('administracion:home')
        else:
            messages.info(request,"Ingrese datos validos")
            context = {"oferta_form":oferta_form}               
            return render(request,'administracion/adm_crear_oferta.html', context) 

class TiendaDescuentoView(View):
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def get(self, request):  
        tiendas = TiendaModel.objects.all()
        return render(request,'administracion/adm_asignar_descuento_1.html', {"tiendas":tiendas})
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def post(self, request):   
        if request.POST['page'] == "continuar": 
            tienda = request.POST.get('tiendas')
            tienda_asignada = TiendaModel.objects.get(nombre=tienda)
            productos_tienda = ProductoModel.objects.filter(tienda_asignada=tienda_asignada)
            descto_tienda = OfertaModel.objects.filter(tienda_descuento=tienda_asignada)
            context = {"productos":productos_tienda,'descuentos':descto_tienda}
            return render(request,'administracion/adm_asignar_descuento_1.html', context)
        elif request.POST['page']=="asignar":
            descuento = request.POST.get('descuento')
            producto = request.POST.get('producto')
            tienda_descuento = TiendaModel.objects.get(nombre=descuento.split(", ")[0])
            oferta = OfertaModel.objects.get(tienda_descuento=tienda_descuento, porcentaje_descuento=int(descuento.split(", ")[1].replace("%","")))
            precio = ProductoModel.objects.get(nombre=producto).precio
            ProductoModel.objects.filter(nombre=producto).update(tiene_oferta=oferta, precio=precio*(100-oferta.porcentaje_descuento)/100)          
            messages.info(request,"Descuento asignado en tienda de forma exitosa")
            return redirect("administracion:home")

class VerVentasVendedores(View):
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def get(self, request):  
        vendedores = VendedorModel.objects.all()
        return render(request,'administracion/adm_ver_ventas.html', {"vendedores":vendedores})
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def post(self, request):    
        if "ver" in request.POST["event"]:
            id=request.POST["event"].split("-")[1]
            vendedor = VendedorModel.objects.get(id=id)
            ventas_vendedor = VentaModel.objects.filter(vendedor=vendedor).order_by("-fecha")
            total_ventas=0

            
            for venta in ventas_vendedor:
                total_ventas+=venta.total


            total_ventas_usd = round(total_ventas/InfoApi(),2)

            contexto = {'vendedor':vendedor,'ventas':ventas_vendedor,
                        'total_ventas':total_ventas,'total_ventas_usd': total_ventas_usd,
                        'valor_dolar':InfoApi()}
            return render(request,'administracion/adm_venta_vendedor.html', contexto)
        else:
            return redirect('administracion:ver-ventas')


class AsignarVendedorView(View):
    @method_decorator(login_required(login_url='administracion:login'))
    @method_decorator(usuarios_permitidos(roles=['grupo_admin']))
    def get(self, request):
        vendedores = VendedorModel.objects.all()

tienda_electronica/administracion/templates/administracion/adm_asignar_descuento_1.html
{% extends 'base.html' %}
{% block title %}
Adm - Crear oferta
{% endblock  %}

{% block functions%}
{% endblock%}
{% block body %}
<section class="container col-4">

    <h2> Crear Descuento </h2>
    <br>

    {% if tiendas %}
    <form method="POST">
        {% csrf_token %}
        <label for="tiendas">Seleccione tienda para continuar</label>
        <select class="custom-select" name="tiendas" id="tiendas">
            {%for tienda in tiendas %}
                <option value="{{tienda}}">{{tienda}}</option>
            {%endfor%}
        </select><br><br>
        <button type ="submit" class="btn btn-success" name="page" value="continuar">Continuar</button>
        <a href="{% url 'administracion:home' %}" class="btn btn-warning">Cancelar</a>
    </form>
    {% else %}
    <form method="POST">
        {% csrf_token %}
        <div class="form-group">
            <label for="descuento">Seleccione descuento</label>
            <select class="form-control" id="descuento" name="descuento">
                {%for descuento in descuentos %}
                    <option value="{{descuento}}">{{descuento}}</option>
                {%endfor%}
            </select>
          </div>
          <div class="form-group">
            <label for="producto">Seleccione producto</label>
            <select class="form-control" id="productos" name="producto">
                {%for producto in productos %}
                    <option value="{{producto}}">{{producto}}</option>
                {%endfor%}
            </select>
          </div>
          <button type="submit" class="btn btn-success" name="page" value="asignar">Asignar</button>


    </form>

    {% endif %}
</section>

{% endblock  %}

tienda_electronica/administracion/templates/administracion/adm_asignar_tienda.html
{% extends 'base.html' %}
{% block title %}
Adm - Home
{% endblock  %}
{% block functions%}
{% endblock%}
{% block body %}

<section class="container col-6">

    {% if not tiendas %}

    <form method="POST">
        {% csrf_token %}
        <br>
        <h4>Reasignar a vendedor</h4><br>
        <table class="col-12 table table-bordered table-striped">

            <thead>
                <tr>
                    <th>Nombre</th>
                    <th>Usuario</th>
                    <th>Tienda asignada</th>
                    <th>Reasignar</th>
                </tr>
            </thead>
                <tbody>
                    {% for vendedor in vendedores %}
                    <tr name="id_vendedor" value="{{ vendedor.id }}">
                        <td>{{vendedor.nombre}}</td>
                        <td>{{vendedor.nombre_usuario}}</td>
                        <td>{{vendedor.tienda_asignada.nombre}}</td>
                        <td><button type="submit" class="btn btn-success" name="event" value="ver-{{vendedor.id}}">Actualizar</button></td>
                    </tr>
                    {% endfor %}
                </tbody>
        </table>
        <a href="{% url 'administracion:home' %}" class="btn btn-warning">Regresar</a>
    </form>

    {% else %}

    <form method="POST">
        {% csrf_token %}
        
        <h4>Reasignar tienda a </h4><br>
        <input type="text" readonly value="{{vendedor.id}}-{{vendedor.nombre}}" name="vendedor" class="form-control col-4"><br>
        <label for="lista_tiendas">Nueva tienda</label><br>
        <select class="custom-select col-4" name="lista_tiendas" id="lista_tiendas">
            {% for tienda in tiendas %}
            <option value="{{tienda}}">{{tienda}}</option>
            {% endfor %}
        </select><br><br>
        <button class="btn btn-success" type="submit" name="event" value="reasignar">Reasignar</button>
        <a href="{% url 'administracion:asignar-vendedor' %}" class="btn btn-warning">Regresar</a>

    </form>

    {% endif %}

    
    
</section>
{% endblock  %}

tienda_electronica/administracion/templates/administracion/adm_crear_oferta.html
{% extends 'base.html' %}
{% block title %}
Adm - Crear oferta
{% endblock  %}
{% block functions%}
{% endblock%}

{% block body %}
<section class="container col-4">

    <h2> Crear Descuento </h2>
    <br>
    <p>Se creará un descuento para la tienda seleccionada, para posteriormente aplicarla a productos elegidos</p>
    {%for message in messages %}
        <div class="alert alert-info" role="alert">
            {{message}}
        </div>
    {% endfor %}

    <form method="POST" class="col-6">
        {% csrf_token %}
        {{oferta_form.as_p}}
        <button type = "submit" class ="btn btn-success">Crear descuento</button>
        <a href="{% url 'administracion:home' %}" class="btn btn-warning">Cancelar</a>
    </form>

</section>

{% endblock  %}

tienda_electronica/administracion/templates/administracion/adm_crear_producto.html
{% extends 'base.html' %}
{% block title %}
Crear Producto
{% endblock  %}
{% block functions%}
{% endblock%}
{% block body %}

<section class="container col-lg-4">

<h2>Ingresar producto</h2>
<br>
{%for message in messages %}
    <div class="alert alert-info" role="alert">
        {{message}}
    </div>
{% endfor %}
<form method="POST">
    {%csrf_token%}

    {{producto_form.as_p}}


    <button class="btn btn-success" type="submit">Crear</button>

    <a href="{% url 'administracion:home' %}" class="btn btn-warning">Cancelar</a>

</form>

    

</section>


{% endblock %}

tienda_electronica/administracion/templates/administracion/adm_crear_tienda.html
{% extends 'base.html' %}
{% block title %}
Adm - Crear tienda
{% endblock  %}
{% block functions%}
{% endblock%}
{% block body %}

<section class="container col-lg-4">
    <form action="{% url 'administracion:crear-tienda' %}" method="POST">
        {% csrf_token %}
        <div class="form-group">     
            <label for="nombre">Nombre</label>
            <input type="text" class="form-control" id="nombre" name="nombre" placeholder="Nombre">
        </div>
        <div class="form-group">     
            <label for="direccion">Direccion</label>
            <input type="text" class="form-control" id="direccion" name="direccion" placeholder="Direccion">
        </div>
        <div class="form-group">     
            <label for="ciudad">Ciudad</label>
            <input type="text" class="form-control" id="ciudad" name="ciudad" placeholder="Ciudad">
        </div>
        <div class="form-group">     
            <label for="comuna">Comuna</label>
            <input type="text" class="form-control" id="comuna" name="comuna" placeholder="Comuna">
        </div>
        <div class="form-group">     
            <label for="telefono">Telefono</label>
            <input type="text" class="form-control" id="telefono" name="telefono" placeholder="Telefono">
        </div>
        <div class="form-group">
            <label for="email">Email</label>
            <input type="email" class="form-control" id="email" name="email" aria-describedby="emailHelp" placeholder="Ingrese email">
            <small id="email" name="email" class="form-text text-muted">Nunca mostraremos tu mail a otros</small>
        </div>
        <div class="form-group">     
            <label for="encargado">Encargado</label>
            <input type="text" class="form-control" id="encargado" name="encargado" placeholder="Encargado">
            
        </div>
        <button type="submit" class="btn btn-success">Enviar</button>

        <a href="{% url 'administracion:home' %}" class="btn btn-warning">Cancelar</a>
       
    </form>


</section>
{% endblock  %}

tienda_electronica/administracion/templates/administracion/adm_home.html
{% extends 'base.html' %}
{% block title %}
Adm - Home
{% endblock  %}
{% block functions%}
{% endblock%}
{% block body %}

<section class="container col-4">
    <br>
    <h2 class="text-center">Panel de administracion</h2>
    <br>
    {%for message in messages %}
        <div class="alert alert-info" role="alert">
        {{message}}
        </div>
    {% endfor %}
    <a href="{% url 'administracion:crear-producto' %}" class="btn btn-warning col-12 mt-2">Crear producto</a>
    <a href="{% url 'administracion:crear-tienda' %}" class="btn btn-warning col-12 mt-2">Crear tienda</a>
    <a href="{% url 'administracion:crear-oferta' %}" class="btn btn-warning col-12 mt-2">Crear descuento en tienda</a>
    <a href="{% url 'administracion:asignar-oferta' %}" class="btn btn-warning col-12 mt-2">Asignar oferta</a>
    <a href="{% url 'administracion:ver-tiendas' %}" class="btn btn-warning col-12 mt-2">Ver tiendas</a>
    <a href="{% url 'administracion:ver-ventas' %}" class="btn btn-warning col-12 mt-2">Ver ventas</a>
    <a href="{% url 'administracion:asignar-vendedor' %}" class="btn btn-warning col-12 mt-2">Asignar vendedor a tienda</a>

</section>
{% endblock  %}

tienda_electronica/administracion/templates/administracion/adm_login.html
{% extends 'base.html' %}
{% block title %}
Adm - Iniciar sesión
{% endblock  %}
{% block functions%}
{% endblock%}
{% block body %}

<section class="container col-lg-4">
    <br>
    <h2> Inicia sesión </h2>
    <form method="POST">
        {% csrf_token %}
        <div class="form-group row">
            <label for="username" class="col-sm-4 col-form-label">Nombre de usuario</label>
            <input class="form-control" type="text" name="username" id="username" placeholder="Nombre usuario">
        </div>
        <div class="form-group row">
            <label for="password" class="col-sm-4 col-form-label">Contraseña</label>            
            <input type="password" class="form-control" id="password" name="password" placeholder="Contraseña">
            
        </div>
        {%for message in messages %}
            <div class="alert alert-info" role="alert">
                {{message}}
            </div>
        {% endfor %}
        <span> ¿No tienes una cuenta?, <a href="{% url 'administracion:registro' %}"> Registrate </a></span><br>
        <button type="submit" class="btn btn-warning">Iniciar sesión</button><br>
        
    </form>

</section>

{% endblock  %}

tienda_electronica/administracion/templates/administracion/adm_register.html
{% extends 'base.html' %}
{% block title %}
Adm - Registro
{% endblock  %}
{% block functions%}
{% endblock%}
{% block body %}

<section class="container col-lg-3">
    <br>
    <h2>Crear nueva cuenta</h2>
    <br>
    <form method="POST">
        {% csrf_token %}
        <label for="nombre">Nombre</label>
        <input type="text" class="form-control" id="nombre" name="nombre" aria-describedby="nombre" required>

        {{form.as_p}}
        </br>
        <label for="lista_tiendas">Tienda asignada</label>
        <select class="custom-select" name="lista_tiendas" id="lista_tiendas">
            {%for tienda in lista_tiendas%}
            <option value="{{tienda.nombre}}">{{tienda.nombre}}</option>
            {%endfor%}
        </select>
        <br>
        <br><span>¿Ya tienes cuenta?, <a href="{% url 'administracion:login' %}">Inicia sesión</a></span>
        <br><button type="submit" class="btn btn-primary col-12">Registrarse!</button>        
        

    </form>

</section>
{% endblock  %}

tienda_electronica/administracion/templates/administracion/adm_sinpermisos.html
<h2>No estas autorizado a ver esta página</h2>
<a href="{%url 'tienda:index' %}">Volver</a>

tienda_electronica/administracion/templates/administracion/adm_tienda_creada.html
{% extends 'base.html' %}
{% block title %}
Adm - Home
{% endblock  %}
{% block functions%}
{% endblock%}
{% block body %}

<section class="container col-lg-4">
    <br>
    <h2>Tienda {{nombre_tienda}} creada exitosamente!</h2>
    <br>
    <a href="{% url 'administracion:home' %}" class="btn btn-warning col-lg-3">Regresar a Home</a>


</section>
{% endblock  %}